%define beta beta3
%def_without static

Name: speex
Version: 1.0
Release: alt0.7%beta

Summary: Speech codec
License: BSD
Group: Sound
Url: http://www.speex.org/

Source: %url/download/%name-%version%beta.tar.gz

Requires: lib%name = %version-%release

# Automatically added by buildreq on Wed Dec 11 2002
BuildRequires: glibc-devel-static libogg-devel

%description
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrowband
and wideband quality. This project aims to be complementary to the Vorbis
codec.

This package contains speex encoder and decoder programs

%package -n lib%name
Summary: Speex shared libraries
Group: System/Libraries

%description -n lib%name
Speex is a patent-free audio codec designed especially for voice (unlike
Vorbis which targets general audio) signals and providing good narrowband
and wideband quality. This project aims to be complementary to the Vorbis
codec.

This package contains shared libraries needed to run Speex-based programs.

%package -n lib%name-devel
Summary: Speex development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains development files needed to compile Speex-based
software.

%prep
%setup -q -n %name-%version%beta

%build
%define _optlevel 3
%add_optflags -DRELEASE

%configure \
%if_without static
	--disable-static
%endif

%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%doc doc/manual.pdf
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name
%_libdir/libspeex-*.so

%files -n lib%name-devel
%_includedir/*
%_libdir/libspeex.so
%_libdir/*.la

%changelog
* Wed Dec 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt0.7beta3
- Adopted for Sisyphus.
- lib%%name{,-devel} packages.

* Thu Oct 03 2002 Jean-Marc Valin
- Added devel package inspired from PLD spec file

* Tue Jul 30 2002 Fredrik Rambris <boost@users.sourceforge.net> 0.5.2
- Added buildroot and docdir and ldconfig. Makes it builadble by non-roots
  and also doesn't write to actual library paths when building.

